Skip to content
YANZHI feature image

YANZHI

4.5 Fact checked

* We independently evaluate all recommended products and services. If you click on links we provide, we may receive compensation.

When purchasing a product, price is the consumer's primary concern. At present, YANZHI has 50 products for sale. YANZHI products range in price from $5.98 to $16.96, and the average price of all the products is about $8.85. It's affordable for most consumers, and you can feel free to pick your favorite products.

You can confidently purchase YANZHI products from the seller YANZHI-USA. The brand holds an average rating of 4.5, testifying to its excellent reputation.

Share

YANZHI Best Sellers

Last Updated: Jan 13, 2025

YANZHI Charger for Fitbit Versa 4 / Sense/Versa 3 / Sense 2 (2 Pack/3.3Ft Replacement Fitbit Versa & Sense Smart Watch Charger Dock Stand Charging Cable, Upgraded Strong Magnet)

  • [Perfect Compatibility] : Replacement 3.3 FT Charger Cable Only for Fitbit Sense / Sense 2 / Versa 3 / Versa 4 Smartwatch.
  • [Upgraded Strong Magnet] : After market research, we have made key upgrades for the magnetic suction part to ensure strong enough suction.
  • [Security] : There is Build-in Short-circuit protection IC in this charger to avoid overvoltage and overcurrent. If the charger meets short-circuit situation, the protection IC will cut off the circuit automatically. If you forget to unplug the charger after charging, the Protection IC will keep the safety.

12V 5A Power Supply 5 Amp AC/DC Adapter Converter Transformer 100-240v, 50/60HZ, 5.5x2.5mm DC Output Jack, for LED Light Strips, Security Camera System, CCTV, Routers

  • [Specifications] Input: 100V-240V 50/60Hz; Output: DC 12V 5A Max (0.5A 1A 1.5A 2A 3A 4A 5A all are Suitable); Output Adaptor Jack Size: 5.5mm x 2.5mm,Compatible with 5.5mm x 2.1mm.
  • [Perfect Compatibility] Great for LED Strips, Led Tape Light, Led Cupboard Lights, 3D Printer, Home Security Camera, Ham Radio Transceiver, IR Camera, CCTV Cameras, Speaker, Car Subwoofer Amp, Audio Amplifier, Wireless Router, ADSL Cats, HUB, Audio/ Video Power Supply. Indoor Use Only!
  • [Package Includes] : 1 x AC Adapter with US Plug, 1 x LED Terminal Connector.

13.3V Charger for Shark Ultra Cyclone, 6.6Ft (for CH950 CH950C CH951 CH951C CH955)

  • [Perfect Compatibility] :Replacement for Shark CH951 CH951C CH950 CH950C CH955 CH963AMZ CH964AMZ CH95114 CH951C CH95014 CH950UKT Cordless Handheld Vacuum UltraCyclone Pet Pro Plus Vacuum
  • [Specifications] : Input Voltage: 100-240VAC 50/60Hz, Output: 13.3V 0.75A. Item is DC Barrel Round Plug. Replacement for Shark Vacuum Charger XB950 10.8V rechargeable battery pack Model#: XCHRGCH950, Replacement CH951 Charger ZD012S133075USD / DK12-133075A-U
  • [Friendly Reminder] : Not Not for Shark UltraCyclone Pro CH901, CH901 14, CH90114, CH901C cordless handheld vacuum !!

Charger for Wahl 9649 Hair Clipper Wall Power Supply Cord (Only Fit for 9649)

  • [Perfect Compatibility] : Replacement Charger Cable Only for Model 9649 Color Pro Cordless Rechargeable Hair Clipper & Trimmer.
  • [Product Features] Input: AC 100-240V, 50-60Hz, Output: 3.5V.
  • [Security] : There is Build-in Short-circuit protection IC in this charger to avoid overvoltage and overcurrent. If the charger meets short-circuit situation, the protection IC will cut off the circuit automatically. If you forget to unplug the charger after charging, the Protection IC will keep the safety

15V Charger Cord for Philips Norelco HQ8505 Power Cord - Compatible with Norelco Trimmer - Shaver - Razor 7000 5000 3000 9000 2000 2300 mg7750 mg7790 8500X Series

  • [Compatible with Model] Fit for Philips Norelco HQ8505 7000 5000 3000 9000 Series mg5750 mg7790 Electric Shaver, Series 2000 2300 2500 7000 7100 7200 7300 7400 7500 7600 7700 5000 5100 5200 5500 5600 5700 3000 3100 3500 4100 4200 4500 6100 8000X 8500X 8900 9300 9700 Series Shavers, most Norelco Aquatec, Arcitec and Multigroom Shavers, Razors and Trimmers.
  • [Continuously Compatible] BeardTrimmer, Beard, SensoTouch, Precision, Spectra and Sensotec, SmartTouch XL & Speed XL, Quadra, Cool Skin, new generation Cool Skin,Speed-xl Precision Quadra Cool Skin, Style Shaver, PowerTouch, Hair Clipper. QG series, BG series, HQ series, RQ series, XL series, XLCC series, X series, HS series, QC series, QT series, QS series, AT series, PT series.
  • [Continuously Compatible] Speed-xl Precision Quadra Cool Skin; QT4070/41; S1211/81, BeardTrimmer QT4050, QT4070, SensoTouch 1150X 1250X 1250XCC 1280X 1280XCC 1290X 1180X 1260X HQ8505 RQ1150 1160CC 1280CC RQ1250 RQ1290 1250CC RQ1280 RQ1160 RQ1180 RQ1260; BG2028/42 BG2039/42 BG2040/34 BT3210/41 MG5750/49 MG5760/40 MG7770/49; P/N: HQ8505, HQ-8505, NL9206AD-4, 272217190075, 272217190076, 272217190137, 4222-039-10972, 422203623771.

Charger for Waterpik Replacement Waterpik WP360 WP462 WP462W WP450 WP468 WF-13 WP-100 YLA-03010 Series Water Flosser Wall Power Supply Adapter Charging Cord

  • [Perfect Compatibility] 2-Prong Charger Fit for Waterpik Cordless Water Flosser WP-360 Series WP-360 WP-360W
  • [Continuously Compatible] 2-Prong Charger Fit for Waterpik Cordless Plus Water Flosser WP-400 Series WP-440 WP-440C WP-440W WP-450 WP-450W WP-450C WP-450EC WP-460W WP-460C WP-462 WP-462W WP-462EC WP-463 WP-464W WP-465 WP-465W WP-468.
  • [Continuously Compatible] 2-Prong Charger Fit for Waterpik Cordless Pearl Water Flosser WF-13 Series WF-13CD010 WF-13CD012.

Electric Scooter Charger for Gotrax - (42V 2A)(FY0634201500 for 36V Lithium Battery)(for Gotrax GXL V2, G2, G3, G4, Apex, Glider, XR Elite, XR Ultra)

  • [Specifications] : Input Voltage: 100-240VAC 50/60Hz, Output: 42V 2A, ( Compatible with 2A,1.5A, 1A, 0.5A) . Item is DC Barrel Round Plug 5.5mm x 2.5mm, Charger for 36V Lithium-ion Battery.
  • [Perfect Compatibility] : Compatible with for Gotrax Electric Scooter GXL V2, G2, G3, G4, Apex, Glider, XR Elite, XR Ultra Rival 36V Lithium-ion Battery.
  • [Friendly Reminder] : NOT 3-Prong Connector. NOT for 24V and 25.2V and 29.4V version.

Replacement for Bose Speaker Charger Micro USB Charger Cord for Bose SoundLink Color Bluetooth Speaker I II III, SoundLink Mini II, Micro, Revolve, Revolve Plus

  • [ Perfect Compatibility ] : 6.6FT Micro USB Charger for Bose Soundlink Color Bluetooth Speaker I, II, III; Portable Speaker; Soundlink Mini 2(2015 Old Version), Micro, Revolve +; Soundwear Companion Wireless Headphones II AE2W; QuietComfort 35 Wireless Headphones; Soundsport Wireless Headphones/ Free Wireless Headphones/ Soundsport Charging Case.
  • [Friendly Reminder] : NOT for Bose Soundlink Mini I (1st), Soundlink Mini II Speacil Edition (released in 2020), Bose SoundLink I, II, III, 1/2/3.
  • [Specifications] : Input: 100V - 240V; Output: DC 5V - 2A Max. 6.6Ft Micro Port Cable.

Charger Base for Philips Sonicare, Electric Toothbrush Charger HX6100 Replacement for Philips Sonicare Kids/Protective Clean 4100 5100 5300 6100 6500 / HX3000 / HX6000 / HX8000 / HX9000

  • [Perfect Compatibility] Compatible with most Philips Sonicare Protective Clean 4100 5100 5300 6500 HX6810/50 HX6423/34 HX6850/60 / Philips Sonicare ExpertClean 7500 HX9690/06 rechargeable toothbrushes and Fits Sonicare Airfloss, Fits Model: HX3100 HX3110 HX3120 HX3130 HX3216 HX3226 HX6000 HX6210 HX6211 HX6215 HX6220 HX6411 HX6431 HX6500 HX6511 HX6512 HX6530 HX6610 HX6616 HX6631 HX6632 HX6640 HX6710 HX6711 HX6712 HX6720 HX6721 HX6730 HX6731 HX6732 HX6733 HX6750 HX6780 HX6781 HX6782 et.
  • [Detailed Specifications] Voltage:110V, AC Power: 1.4W / Adaptor Model: HX6100, Compatible with Philips Sonicare kids Electric Toothbrush HX3681/ HX6877/ HX6857/ HX3641/ HX962V / HX9690/ HX9690/06 / HX9903/ HX6423/ HX3661/ HX9990/ HX6631/ HX9902/ HX8911/ Hx6253/ HX6974/ Hx6877/ HX6876/ HX6511/ HX6921/ HX6211/ HX6877/HX6530/HX6711/HX6730/HX6731/HX6732/HX6780/HX6781/HX6782/HX6902/HX6910/HX6930.
  • [Safe Inductive Charging Technology] The waterproof inductive charger base makes it safe and easy to use. Put it down and it charges immediately, pick it up and it turns off the power automatically. And it also provides multi-protection of electric leakage, over current, over voltage, over heating and over load, ensuring security when charging.

for Boss PSA Adapter 9V DC Guitar Pedal Power Supply 1A Power Cord for BOSS Effects Pedal,One Spot (1 Spot),Casio Keyboard,Roland,Distortion,PSA-120S,Center Negative with 3 Way Daisy Chain Cables

  • [Perfect Compatibility] This 9V 1000 DC Power Supply for Guitar Pedals is Widely Compatible with BOSS, Roland, Distortion, Casio Keyboard, Behringer, DigiTech, Jim Dunlop, MXR, Nobels, NUX, TC Electronic, Xotic, Zoom Effects Pedals, Boss PSA-120S,DS-1 RC-1 RC-3 TU-2 TU-3 SD-1 RV-5 RV-6 DD-3 DD-7 DD-20 ME-50 ME-80 GT-10 HM-2 GT-1B GT-100 GT-1 GT-10 AD-10 BR-80 BR-600 DB-88 DB-90 CE-2B BOSS Mini Katana RE-20 RC-1 RC-3 DS-2 and more.
  • [Perfect Compatibility] Compatible with Electronic Guitar Multi-effect Pedal, Distortion, Pedal board, Compressor, Tuner; AC DC 9V Power Cord Replaces D'Addario PW-CT-9V, Boss PSA-120S.
  • [Package Included] 1X 9V Adapter (3.3ft), 1X 3 Way Daisy Chain (3.3ft), Cable Cord Total Long 6.6ft.

YANZHI Power Cord for Ingenuity/Fisher Price Baby Swing, [6V, 6.6ft] Snugapuppy Power Cord

  • [Compatible with] Replacement Charger for Fisher-Price Snugapuppy Swing/Rainforest Cradle Swing / Butterfly Ocean Wonders / Papasan cradle swings, Ingenuity Inlighten Cradling Swing/Bouncer/Boutique.
  • [Product Features] Input: AC 100-240V, 50-60Hz, Output: 6V 2A, Length: 6.6 Ft Power Cord.
  • [Security] Replacement chargers manufactured with the highest quality materials and include multiple smart features safeguarding against IV - incorrect voltage, SC - short circuit, IO - internal overheating . Our Products are in Compliance with Top Industry Standards.

Charger for Remington Shaver Replacement Remington HC4250 PG6171 PF7500 PF7600 PG6250 PA-0510N Beard Trimmer Charger Remington Hair Clipper Wall Power Supply Cord 5V Adapter

  • [Compatible with Models] Only compatible with Remington shavers PG6171 PF7600 PG-6255 HC4250 MB060 PF7500 PG6250 PG-6250 PG6170 PG6137 PG6125 PG6255 PR1240 PR1250 PR1260 PR1270 PR1285 PR1340 PR1342 PR1360 PR1362 PR1385 PR1387 WR5100, Fits for Remington XF8550 XF8700 XR1410 XR1430 XR1450 XR1470 XR1330 XR1340 XR1350 XR1370 XR1390 XR1400 XF8550 XF8700 XF8705 MB4900 HC5870 HC5950
  • [Specifications] Input: 100-240V AC, 50-60HZ. Output: 5V 1A.
  • [Warm Tips] Please check the connector or the compatible models has been listed above to insure the charger will fits your shaver

YANZHI 𝐔𝐩𝐠𝐫𝐚𝐝𝐞𝐝 Charger for Fitbit Charge 5 / Charge 6 / Luxe, [2-Pack, 3.3 ft] Replacement Charging Cable (Strong Magnet)

  • [Perfect Compatibility] : Replacement Charger Cable Only for Fitbit Luxe and Charge 5/6 fitness tracker, 2 Pack 3.3 FT Charger Cable.
  • [Upgraded Strong Magnet] : After market research, we have made key upgrades for the magnetic suction part to ensure strong enough suction.
  • [Security] : There is Build-in Short-protection IC in this charger to avoid overvoltage and overcurrent. If the charger meets short-circuit situation, the protection IC will cut off the circuit automatically. If you forget to unplug the charger after charging, the Protection IC will keep the safety

Braun Shaver Charger for Braun Series 7 3 9 5 8 6 1, 12V 400MA Charger Cord for Braun S3 S6 S7 S8 S5 S9 S1 Electric Razor Replacement Braun Trimmer Wall Power Supply Charging Cord US Adapter

  • [ Perfect Compatibility ] 12V 400MA Charger for Braun Eectric Razor Series 1 3 5 6 7 8 9.
  • [Continuous Compatibility] Suitable for Braun Braun Shaver 7 9 8 3 5 6 1 Series 3040S 380S pc9221 3000s 310s 740s-6 3010 3040s 5544 5762 5515 569 310s 9370cc 9370cc 7071CC 790cc 7790cc 7865cc 760CC-4 720S-4 7085cc 5018S.
  • [Continuous Compatibility] Suitable for Braun Braun Shaver 790cc 7865cc 760cc-4 720s-4 7085cc 9390cc 9370cc 5610 5611 5612 5613 5614 5663 5684 5708 5710 5722 0 572 1 5722 5723 5724 5732 5735 5736 5738 5739 5745 5770 5771 5772 5773 5774 5774 9295 38 7893s 3000s 6610 6620 6680 6690 9000 9565 9566 9591 9781 9782 9785 9791 9795 795 3050cc 310-1 350cc-4 5030s 7505 720s-3 720s-5 750cc 760cc-3 760cc- 4 760cc-5 765cc-3 765cc-4 765cc-4 cc-5 7 865cc 790cc 790cc-3 790cc-4 790cc-5 795cc-3.

YANZHI 2-Pack Charger Cord for Hatteker Replacement Hatteker Hair Clipper RFC-690 RFC-588 RFC-696 RFC-692 RFC-598 RFC-696B RSCX-7568 RSCX-9598 Power Supply Charging Cable (1.5M)

  • [Perfect Compatibility] Compatible with Hatteker Mens Beard Trimmer, Cordless Hair Trimmer Pro Hair Clippers Beard Trimmer RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-9598 RSCX-7568 and more.
  • [Specifications] Input: 100-240V AC, 50-60HZ. 1.5M/5Ft Charging Cable.
  • [Advantage] Small,Portable,Light-weight Easy to Move and Travel.

Replacement Charger for Theragun Mini/Theragun Prime, 5FT 15V Massage Gun Power AC DC Adapter Supply Cord (Only Fit Theragun Mini/Theragun Prime)

  • [Compatibility] 15V AC Adapter for Theragun Mini G4 MINI-PKG-US MINI-PKG-AU 4th Generation Ultra-Portable Compact Percussion Therapy Massager Muscle Treatment Massage Gun Thera gun MINI-PKG-WHT-US MINI-PKG-RED-US MINI-PKG-BLK-US Model HXD302-1501500CN/ZZ HXD302-1501500US/ZZ HXD302-1501500AU/ZZ HXD302-1501500UK/ZZ HXD302-1501500EU/ZZ , MINIPKGAU 0810036050166 0810036053068 0810036053389 810036050166 810036053068 810036053389
  • [Compatibility] Theragun Prime Generation Percussive Therapy Deep Tissue Muscle Treatment Massage Gun EA1023SAR BFP IP20 HXD302-1501500CN, ZZ HXD302-1501500US, ZZ HXD302-1501500AU, ZZ HXD302-1501500UK, ZZ HXD302-1501500EU, ZZ HXD302-1501500CI, ZZ HXD302-1501500CN, ZZ HXD302-1501500US, ZZ HXD302-1501500AU, ZZ HXD302-1501500UK , ZZ HXD302-1501500EU , ZZ HXD302-1501500CI, ZZ; SPS-155 SPS-230 S268, NOT recommend for SPS-500.
  • [Compatibility] Model HXD302-1501500CN/ZZ HXD302-1501500US/ZZ HXD302-1501500AU/ZZ HXD302-1501500UK/ZZ HXD302-1501500EU/ZZ HXD302-1501500CI/ZZ HXD302-1501500CN / ZZ HXD302-1501500US / ZZ HXD302-1501500AU / ZZ HXD302-1501500UK / ZZ HXD302-1501500EU / ZZ HXD302-1501500CI / ZZ 15V +15V 15.0V DC15V 15 Volt 15 Volts 15VDC 15 V 15 VDC Class 2 Power Supply.

YANZHI Stand for Google Pixel Watch, White Silicone Pixel Watch Charger Stand with Integrated Cable Management Slot (Charger Not Included, Only Stand)

  • [Perfect Compatibility] : Replacement Charger Stand Only for Google Pixel Watch (Charger Not Included, Only Stand).
  • [Powerful Function] : Put Watch on the Stand can Prevent your Watch from Accidentally Slipping or Moving Around, Keeps the Watch Constantly Charged and Protects Charger from Scratches.
  • [Technical Advantage] : Silicone Stand, Slim, Lightweight, Form-fitting, Delicate and Fashion Design.

YANZHI Meridian Trimmer Charger Replacement for Meridian Grooming Shaver Trimmer Charger Cold 5V USB Charging Cable

  • [Perfect Compatibility] : 5V Replacement Charger Compatible with Meridian Grooming Electric Shaver Trimmer, Electric Body Meridian Trimmer Charger Men or Women.
  • [Premium Quality] Made of high quality wire; ensure the excellent charging experience for your Device. High-quality ABS + TPE Material and Copper Wire ensures Stable Current Transmission, which assures the quality of the charge.
  • [Security] : There is Build-in Short-circuit Protection IC in This Charger to Avoid Overvoltage and Overcurrent. If the charger meets short-circuit situation, the protection IC will cut off the Circuit Automatically. If you forget to unplug the charger after charging, the Protection IC will keep the safety.

Replacement Charger for Tineco Vacuum, 6.6FT 26V Charger for Tineco A10 A11 Hero Master iFLOOR 3 Power AC DC Adapter Supply Cord

  • [Perfect Compatibility] Compatible with Tineco Vacuum A10 Hero, A10 Master, A11 Hero, A11 Master iFLOOR S3 series, FLOOR ONE S2 SERIES Cordless Stick Vacuum Cleaner.
  • [Specifications] Input: AC 100V-240V, Output: DC 26V 0.8A. This Replacement for Tineco Charger ONLY Fits for 21.6V Battery Charger YLS0241A-T260080 , DSC550-260070W-1 SN: SP18101701.
  • [Friendly Reminder] : This AC/DC Adapter Does Not Work for TINECO PURE ONE S11 S12 Series.

Charger for Philips Norelco,10 in 1 Universal USB Charging Cable Set for Most Brand Electric Shaver Razor and Trimmer (Braun, Norelco OneBlade,Surker, Andis,Manscaped)

  • Compatible with Norelco HQ8505, 7000 7100 7200 7300 7400 7500 7600 7700 5000 5100 5200 5500 5600 5700 3000 3100 3500 4100 4200 4500 6100 8000X 8500X 8900 9300 9700 Series Shavers, most Norelco Aquatec, Arcitec and Multigroom Shavers, Razors and Trimmers. Compatible part numbers HQ8505 AT810/41 AT830 BT5210/42 BT7215/49 PT724/41 PT730/41 QG3364/42 QG3330 QG3330/60 QT4018/49 S7370/84 S9311/84 S9721/84 YS524/41 HQ-8505
  • Compatible with Norelco 7000 / 5000 / 3000 Series, Grooming Kit Bodygroom, BeardTrimmer, Beard, SensoTouch, Precision, Spectra and Sensotec, SmartTouch XL & Speed XL, Quadra, Cool Skin, new generation Cool Skin, Style Shaver, PowerTouch, Hair Clipper, Arcitec. QG series, BG series, HQ series, RQ series, XL series, XLCC series, X series, HS series, QC series, QT series, QS series, AT series, PT series
  • [Security] As a Professional Power Supplier,Replacement chargers manufactured with the highest quality materials and include multiple smart features safeguarding against IV - incorrect voltage, SC - short circuit, IO - internal overheating . Our Products are in Compliance with Top Industry Standards.

YANZHI FAQs